# Class PageReference

#### Hierarchy

- Run
  - PageReference

- Defined in src/file/paragraph/links/pageref.ts:7

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageReference(bookmarkId: string, options?: IPageReferenceOptions): PageReference

- #### Parameters

  - ##### bookmarkId: string

  - ##### options: IPageReferenceOptions = {}

  #### Returns PageReference

  Overrides Run.constructor

  - Defined in src/file/paragraph/links/pageref.ts:8

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Run.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Run.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:15

Generated using TypeDoc